Automatic Plugin Update Checker

Automatic Plugin Update Checker 1.4

No permission to download

OwnProx

Paid Resource Developer
ㅤㅤ
its currents disabled due to forum cloudflare attack mode switched to im under attack. once everyone upgrades to 1.4 michidu will switch the forum back to lower security at cloudflare, there was a bug in 1.3 that basically just send a request every second from every server that had it loaded causing a ddos like effect on the forum lol.
 
Last edited:

OwnProx

Paid Resource Developer
ㅤㅤ
he tried today but what we can tell is there is about 45 dedicated servers using the old plugin causing it to max the sites resources when michidu takes it out of im under attack.
 

OwnProx

Paid Resource Developer
ㅤㅤ
might as well, because of all those dedi's still running 1.3 its just like ddos lol
 

cpjet64

Well-known member
@OwnProx Any chance I could work with you to setup a mirror on a VM on one of my servers? Also, any chance in getting this great plugin ported over to atlas? Appreciate the work!
 

Visual

Well-known member
Are they still using the old version? It's been months now.. Couldn't Michidu just block those dedi's for now until they get their shit together?
 

hardanonymity

Well-known member
The plugin "Automatic Plugin Update Checker" is not automatically updating the plugin "New Player Protection".
The "New Player Protection" plugin on my server is still at version 1.62, the most current of which is 1.81.
Do I have to do it manually?
Something is not happening as expected in the plugin "Automatic Plugin Update Checker" or "New Player Protection", or is not to update automatically anyway?
 

Lethal

Moderator
Staff member
ㅤㅤ
@OwnProx this plugin is getting smacked by Cloudflare it seems. I went through and compiled a debug version and every request returned a Cloudflare error page instead of the resource page that is parsed.
 

isthattay

Supporter Rank
Did the Cloudflare issues get resolved? This is an awesome plugin idea, would definitely be helpful for my cluster.
 

Perlop

Active member
Did the Cloudflare issues get resolved? This is an awesome plugin idea, would definitely be helpful for my cluster.
I think is not going to work anymore on this plugin. I have been waiting some months and there are no updates
 

clhleroy

Well-known member
So the plugin loads properly, HOWEVER, it does NOT work properly. The plugin says that I have 8 plugins to update BUT they all say the exact same thing saying they need a 3.55 but the plugins listed that say this don't even have a 3.55 update and are too the latest update possible so the plugin is not 100% working and needs an update. Like I said it loads, its just is looking at some kind of wrong information as you can see here by this photo.
 

Attachments

  • unknown.png
    unknown.png
    35.2 KB · Views: 3

Pelayori

Moderator
Staff member
ㅤㅤ
So the plugin loads properly, HOWEVER, it does NOT work properly. The plugin says that I have 8 plugins to update BUT they all say the exact same thing saying they need a 3.55 but the plugins listed that say this don't even have a 3.55 update and are too the latest update possible so the plugin is not 100% working and needs an update. Like I said it loads, its just is looking at some kind of wrong information as you can see here by this photo.
This plugin does no longer work.
 

Pelayori

Moderator
Staff member
ㅤㅤ
it did up till the last few patches
It relies on the PluginInfo.json to contain the correct resource id, so if the developer doesn't do that (which lots do not, as that resource id is just for this plugin) you can correct yourself by looking up the resource id on the plugin's URL.

With the new GSH site it might have been unblocked, but as far as I knew, the old site had this plugin connections blocked because it was acting like a DDoS due to the sheer amount of connections done to the old site.
 
Nitrado Console Servers Partner
Top